package com.daya.live_teaching.repository;

import com.daya.live_teaching.model.StreamResource;

import java.util.List;


public interface OnClassVideoEventListener {

    void onInitVideoList(List<StreamResource> userIds);

    void onAddVideoUser(StreamResource userId);

    void onRemoveVideoUser(StreamResource info);

    void onFirstFrameDraw(String userId, String tag);

    void onVideoEnabled(String userId, boolean enable);
}
